Bug 1145842 - Need instructions on how to manually wipe RHELOSP-Installer (was: please provide a wipe option)
Summary: Need instructions on how to manually wipe RHELOSP-Installer (was: please prov...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 5.0 (RHEL 6)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 5.0 (RHEL 7)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On: 1121265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-24 00:00 UTC by Don Domingo
Modified: 2015-03-11 01:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1121265
Environment:
Last Closed: 2015-03-11 01:11:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Don Domingo 2014-09-24 00:04:15 UTC
Assigning this to Andrew since he normally has RHELOSP-Installer deployments handy (for testing). Although it looks like Kambiz Aghaiepour <kambiz@redhat.com> might be able to provide more info on this.

Comment 3 Dan Macpherson 2014-12-04 06:16:01 UTC
I had a think about this and the method shown in comment #1 might not work in all cases. The piped commands (rpm -qa --last | grep "Thu 17 Jul" | awk '{ print $1 }') will only show a list of when these packages were last updated. This means if you perform an update, the dates will change for some (but not all) packages.

I did some research and probably the best method for this is to you the following paramater in /etc/yum.conf:

clean_requirements_on_remove=1

This will effectively nuke chosen packages and (if they're not required by anything else) their dependencies.

So basically we need to do the following:

1. Add clean_requirements_on_remove=1 to /etc/yum.conf

2. Run: yum remove rhel-osp-installer foreman foreman-proxy puppet (anything else foreman related? dhcp? bind?)

3. Delete the directories specified in comment #1

How does this sound to everyone?

Comment 5 Ramon Acedo 2015-01-27 16:23:38 UTC
rhel-osp-installer leaves a number of config files in /etc/httpd/conf.d that should be removed as well.

Comment 6 Dan Macpherson 2015-03-11 01:11:33 UTC
Article now includes removing httpd too. Article is also published now so this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.